Bug 846928 - Review Request: python-walkdir - Python module to manipulate and filter os.walk() style iteration
Review Request: python-walkdir - Python module to manipulate and filter os.w...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 02:57 EDT by kushaldas@gmail.com
Modified: 2012-09-25 02:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-24 17:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2012-08-09 02:57:57 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-walkdir.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-walkdir-0.3-1.fc17.src.rpm
Description: walkdir is a simple set of iterator tools intended to 
make it easy to manipulate and filter the output of os.walk() 
in a way that is also easily applicable to any source iterator 
that produces data in the same format

Fedora Account System Username: kushal

Koji build link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4370968
Comment 1 Parag AN(पराग) 2012-08-13 01:22:51 EDT
Review:-
+ koji build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4370968

+ rpmlint on rpms gave
python-walkdir.src: W: spelling-error Summary(en_US) os -> OS, och, so
python-walkdir.src: W: spelling-error %description -l en_US os -> OS, och, so
python-walkdir.noarch: W: spelling-error Summary(en_US) os -> OS, och, so
python-walkdir.noarch: W: spelling-error %description -l en_US os -> OS, och, so
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Source verified with upstream as sha56sum
b68b22f78b3412749a1a0f7efff477ab002f05a0d1ed26fb69e4a42038361736  walkdir-0.3.tar.gz
b68b22f78b3412749a1a0f7efff477ab002f05a0d1ed26fb69e4a42038361736  ../SOURCES/walkdir-0.3.tar.gz

+ License is valid and is BSD.

Suggestions:
1) Replace %define with %global

2) If package is only for Fedora then you can remove buildroot, cleaning of buildroot in %install, %clean section and defattr(-,root,root,-)

APPROVED.
Comment 2 kushaldas@gmail.com 2012-08-13 06:13:20 EDT
New Package SCM Request
=======================
Package Name: python-walkdir
Short Description:  Python module to manipulate and filter os.walk() style iteration
Owners: kushal
Branches: el6 f18 f17
InitialCC: kushal
Comment 3 Gwyn Ciesla 2012-08-13 08:04:32 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-08-30 02:42:53 EDT
python-walkdir-0.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-walkdir-0.3-1.fc18
Comment 5 Fedora Update System 2012-08-30 02:44:02 EDT
python-walkdir-0.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-walkdir-0.3-1.fc17
Comment 6 Fedora Update System 2012-08-30 02:44:55 EDT
python-walkdir-0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-walkdir-0.3-1.el6
Comment 7 Fedora Update System 2012-08-30 14:19:49 EDT
python-walkdir-0.3-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-09-24 17:32:54 EDT
python-walkdir-0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 9 Fedora Update System 2012-09-25 00:28:48 EDT
python-walkdir-0.3-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 10 Fedora Update System 2012-09-25 02:22:09 EDT
python-walkdir-0.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.